define("de_epages/spreedly/ui/checkoutconfirmation", [
    "jquery",
    "de_epages/spreedly/ui/checkoutlifecycle",
    "spreedlyexpress2",
    "ep/ajax",
    "ep/fn/busy",
    "$ready!"
], function ($, checkoutlifecycle) {

    return function(
    SpreedlyEnvironmentKey,
    BasketTotalAmount,
    ShopName,
    BasketId
    ){
        var SpeedlyExpressWidgetDisplayOptions = {
            "amount": BasketTotalAmount,
            "company_name": ShopName
        };

        function onCheckoutError(Error) {
            var BasketForm = document.forms["BasketForm"];
            if(Error && Error.Name) {
                ep(BasketForm).append("<input type='hidden' value='" + Error.Name + "' name='ErrorName'>");
            }
            if(Error && Error.Reason) {
                ep(BasketForm).append("<input type='hidden' value='" + Error.Reason + "' name='ErrorReason'>");
            }
            BasketForm.submit();
        }

        function onCheckoutSuccess() {
            document.forms["BasketForm"].submit();
        }

        function onSuccessfulPurchaseResponse(Transaction){
            if (Transaction.state === "succeeded") {
                return onCheckoutSuccess();
            } else if (Transaction.state === "error") {
                onCheckoutError({
                    "Name": "Purchase",
                    "Reason": "CardDeclined",
                });
            } else if (Transaction.state === "pending") {
                checkoutlifecycle(
                    Transaction.state,
                    Transaction.token,
                    Transaction.required_action,
                    Transaction.device_fingerprint_form,
                    Transaction.checkout_form,
                    Transaction.checkout_url,
                    BasketId,
                    onCheckoutSuccess,
                    onCheckoutError
                );
            } else {
                onCheckoutError({
                    "Name": "Purchase",
                    "Reason": "UnknownError",
                });
            }
        }

        function onBuyButtonClick() {
            ep.ajax({
                "data" : {
                    "ChangeAction": "MakeSpreedlyPurchase",
                    "ObjectID": BasketId,
                    "SpreedlyBrowserInfo": Spreedly.ThreeDS.serialize('05')
                },
                "type" : "post",
                "dataType" : "json"
            }).done(function(response) {
                if(!response.Error && response.Transaction){
                    onSuccessfulPurchaseResponse(response.Transaction);
                } else {
                    onCheckoutError(response.Error);
                }
            }).fail(function( response ){
                onCheckoutError({
                    "Name": "Purchase",
                    "Reason": "ConnectionError",
                });
            });
        }

        $(document).ready(function() {
            $("div.Confirm-Order button.SubmitButton").prop("disabled", true);
            $("#BasketForm").submit(function(event) {
                event.stopPropagation();
                event.preventDefault();
                ep("body").busy("show");
                onBuyButtonClick();
                return false;
            });
            SpreedlyExpress.init(SpreedlyEnvironmentKey, SpeedlyExpressWidgetDisplayOptions);
            SpreedlyExpress.onInit(function(){
                ep("div.Confirm-Order button.SubmitButton").prop("disabled", false);
            });
        });
    };
});
